﻿Imports System
Imports System.Diagnostics

Namespace Logging
    Module program

        Sub Main()
            Dim listener As New TextWriterTraceListener("trace.log")
            Trace.Listeners.Add(listener)
            Trace.Listeners.Remove("Default")
            Trace.AutoFlush = True

            Console.WriteLine("Beispiel 5")

            Dim traceSwitch As New TraceSwitch("MeinSchalter", "Ablaufprotokollierung mit Schalter")
            traceSwitch.Level = TraceLevel.Info

            Trace.WriteLine("Beispiel 5 gestartet: " + DateTime.Now.ToString())

            Trace.WriteLineIf(traceSwitch.TraceError, "Logging: Eintrag mit TraceLevel Error")
            Trace.WriteLineIf(traceSwitch.TraceWarning, "Logging: Eintrag mit TraceLevel Warning")
            Trace.WriteLineIf(traceSwitch.TraceInfo, "Logging: Eintrag mit TraceLevel Info")
            Trace.WriteLineIf(traceSwitch.TraceVerbose, "Logging: Eintrag mit TraceLevel Verbose")

            Console.ReadLine()
        End Sub

    End Module
End Namespace
